From aff3d38c793914c0098a3c25b0e583d96dd3b21f Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 18 May 2022 10:09:31 +0200
Subject: [PATCH 7/7] meson: Fix extra_version option

With the previous coding, the extra version did not appear in
PG_VERSION_STR.
---
 meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index e7fd8aa64f..b772afef32 100644
--- a/meson.build
+++ b/meson.build
@@ -79,7 +79,8 @@ cdata.set_quoted('PACKAGE_NAME', 'PostgreSQL')
 cdata.set_quoted('PACKAGE_BUGREPORT', 'pgsql-bugs@lists.postgresql.org')
 cdata.set_quoted('PACKAGE_URL', pg_url)
 
-cdata.set_quoted('PG_VERSION', pg_version + get_option('extra_version'))
+pg_version += get_option('extra_version')
+cdata.set_quoted('PG_VERSION', pg_version)
 cdata.set_quoted('PG_VERSION_STR', 'PostgreSQL @0@ on @1@, compiled by @2@-@3@'.format(
   pg_version, target_machine.cpu_family(), cc.get_id(), cc.version()))
 cdata.set_quoted('PG_MAJORVERSION', pg_version_major.to_string())
-- 
2.35.1

